{{-- lean wrapper for 2 pane page --}}
<!doctype html>
<html lang="en" class="h-100">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <link href="/css/app.css" rel="stylesheet">
    <link href="/css/style.css" rel="stylesheet">
    <link href="/v-splitter-px/v-splitter.css" rel="stylesheet" >
    <script src="/v-splitter-px/v-splitter.js"></script>
    <title>Stag | MCP</title>
</head>
<body class="h-100">
    <div class="row mx-0 h-100">
        <div class="col-9 px-0 app-left-panel">
            <iframe id="stag_mcp_lhs" src="{{ $page }}" frameborder="0" class="h-100 w-100"></iframe>
        </div>
        <div class="col-3 border-left app-right-panel pr-1">
            <iframe id="stag_mcp_rhs" src="/pro/meet" frameborder="0" class="h-100 w-100"></iframe>
        </div>
    </div>
    <script>
        initVSplitter('stag-mc-main', $('.app-left-panel'), $('.app-right-panel'));
        window.openInRHS = function(_url) {
            $('#stag_mcp_rhs').attr('src', _url);
            return false;
        };
        window.toggleRHS = function() {
            var body = $('body'), leftPanel = $('.app-left-panel');
            if(!body.is('.stag_rhs_collapsed')) {
                body.addClass('stag_rhs_collapsed');
                leftPanel.attr('data-prev-style', leftPanel.attr('style'));
                leftPanel.attr('style', '');
                leftPanel.removeClass('col-9').addClass('col-12');
                return 'collapsed';
            }
            else {
                if(leftPanel.attr('data-prev-style')) {
                    leftPanel.attr('style', leftPanel.attr('data-prev-style'));
                }
                leftPanel.attr('data-prev-style', '');
                leftPanel.removeClass('col-12').addClass('col-9');
                body.removeClass('stag_rhs_collapsed');
                return 'expanded';
            }
        }
        window.showRHS = function() {
            var body = $('body'), leftPanel = $('.app-left-panel');
            if(body.is('.stag_rhs_collapsed')) {
                if(leftPanel.attr('data-prev-style')) {
                    leftPanel.attr('style', leftPanel.attr('data-prev-style'));
                }
                leftPanel.attr('data-prev-style', '');
                leftPanel.removeClass('col-12').addClass('col-9');
                body.removeClass('stag_rhs_collapsed');
                return 'expanded';
            }
        }
    </script>
</body>
</html>
